Bug 1640337 (CVE-2018-3185)

Summary: CVE-2018-3185 mysql: InnoDB unspecified vulnerability (CPU Oct 2018)
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: apevec, chrisw, databases-maint, dciabrin, hhorak, jjanco, jjoyce, jorton, jschluet, jstanek, kbasil, lhh, lpeer, markmc, mbayer, mburns, mkocka, mmuzila, mschorm, praiskup, rbryant, sclewis, slinaber, tdecacqu
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20181016,reported=20181016,source=internet,cvss3=5.5/CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:L/A:H,rhel-5/mysql55-mysql=notaffected,rhel-6/mysql=notaffected,rhel-7/mariadb=notaffected,rhel-8/mysql=notaffected,rhel-8/mariadb=notaffected,rhscl-3/rh-mysql57-mysql=affected,rhscl-3/rh-mysql80-mysql=notaffected,rhscl-3/rh-mariadb101-mariadb=notaffected,rhscl-3/rh-mariadb102-mariadb=affected,openstack-7/mariadb-galera=notaffected,openstack-8/mariadb-galera=notaffected,openstack-9/mariadb-galera=notaffected,openstack-10/mariadb-galera=notaffected,openstack-12/mariadb-galera=notaffected,openstack-13/mariadb=notaffected,openstack-14/mariadb=notaffected,fedora-all/mariadb=affected,fedora-all/community-mysql=affected
Fixed In Version: mysql 5.7.24, mysql 8.0.13, mariadb 10.3.11, mariadb 10.2.19 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:40:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1640559, 1642059, 1642068, 1642165, 1643049, 1664048, 1701261    
Bug Blocks: 1640349    

Description Tomas Hoger 2018-10-17 20:34:53 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: InnoDB). Supported versions that are affected are 5.7.23 and prior and  8.0.12 and prior. Easily exploitable vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server as well as unauthorized update, insert or delete access to some of MySQL Server accessible data.

External References:

http://www.oracle.com/technetwork/security-advisory/cpuoct2018-4428296.html

Comment 1 Tomas Hoger 2018-10-18 10:25:48 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1640559]

Comment 5 errata-xmlrpc 2018-11-26 12:36:50 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS

Via RHSA-2018:3655 https://access.redhat.com/errata/RHSA-2018:3655

Comment 8 errata-xmlrpc 2019-05-21 19:55:28 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:1258 https://access.redhat.com/errata/RHSA-2019:1258